package com.mdd.admin.vo.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("部门Vo")
public class SystemAuthDeptVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("主键")
   private Integer id;
   @ApiModelProperty("部门父级")
   private Integer pid;
   @ApiModelProperty("部门名称")
   private String name;
   @ApiModelProperty("负责人")
   private String duty;
   @ApiModelProperty("联系电话")
   private String mobile;
   @ApiModelProperty("排序编号")
   private Integer sort;
   @ApiModelProperty("是否停用: [0=否, 1=是]")
   private Integer isStop;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public Integer getPid() {
      return this.pid;
   }

   public String getName() {
      return this.name;
   }

   public String getDuty() {
      return this.duty;
   }

   public String getMobile() {
      return this.mobile;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getIsStop() {
      return this.isStop;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setPid(Integer pid) {
      this.pid = pid;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setDuty(String duty) {
      this.duty = duty;
   }

   public void setMobile(String mobile) {
      this.mobile = mobile;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setIsStop(Integer isStop) {
      this.isStop = isStop;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAuthDeptVo)) {
         return false;
      } else {
         SystemAuthDeptVo other = (SystemAuthDeptVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label119;
                  }
               } else if (this$id.equals(other$id)) {
                  break label119;
               }

               return false;
            }

            Object this$pid = this.getPid();
            Object other$pid = other.getPid();
            if (this$pid == null) {
               if (other$pid != null) {
                  return false;
               }
            } else if (!this$pid.equals(other$pid)) {
               return false;
            }

            label105: {
               Object this$sort = this.getSort();
               Object other$sort = other.getSort();
               if (this$sort == null) {
                  if (other$sort == null) {
                     break label105;
                  }
               } else if (this$sort.equals(other$sort)) {
                  break label105;
               }

               return false;
            }

            Object this$isStop = this.getIsStop();
            Object other$isStop = other.getIsStop();
            if (this$isStop == null) {
               if (other$isStop != null) {
                  return false;
               }
            } else if (!this$isStop.equals(other$isStop)) {
               return false;
            }

            label91: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label91;
                  }
               } else if (this$name.equals(other$name)) {
                  break label91;
               }

               return false;
            }

            Object this$duty = this.getDuty();
            Object other$duty = other.getDuty();
            if (this$duty == null) {
               if (other$duty != null) {
                  return false;
               }
            } else if (!this$duty.equals(other$duty)) {
               return false;
            }

            label77: {
               Object this$mobile = this.getMobile();
               Object other$mobile = other.getMobile();
               if (this$mobile == null) {
                  if (other$mobile == null) {
                     break label77;
                  }
               } else if (this$mobile.equals(other$mobile)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$createTime = this.getCreateTime();
               Object other$createTime = other.getCreateTime();
               if (this$createTime == null) {
                  if (other$createTime == null) {
                     break label70;
                  }
               } else if (this$createTime.equals(other$createTime)) {
                  break label70;
               }

               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAuthDeptVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $pid = this.getPid();
      result = result * 59 + ($pid == null ? 43 : $pid.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $isStop = this.getIsStop();
      result = result * 59 + ($isStop == null ? 43 : $isStop.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $duty = this.getDuty();
      result = result * 59 + ($duty == null ? 43 : $duty.hashCode());
      Object $mobile = this.getMobile();
      result = result * 59 + ($mobile == null ? 43 : $mobile.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAuthDeptVo(id=" + this.getId() + ", pid=" + this.getPid() + ", name=" + this.getName() + ", duty=" + this.getDuty() + ", mobile=" + this.getMobile() + ", sort=" + this.getSort() + ", isStop=" + this.getIsStop() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
